0

I use the deepin 15.11 and change the /etc/apt/source.list to

deb [by-hash=force] http://mirrors.aliyun.com/deepin lion main contrib non-free

according to the alibaba's official guide,but when I use apt update,here comes the error

Ign:1 http://mirrors.aliyun.com/deepin lion InRelease
Hit:2 http://packages.microsoft.com/repos/vscode stable InRelease
Err:3 http://mirrors.aliyun.com/deepin lion Release      
  404  Not Found [IP: 222.186.18.240 80]
Hit:4 https://packages.microsoft.com/ubuntu/16.04/prod xenial InRelease
Reading package lists... Done
E: The repository 'http://mirrors.aliyun.com/deepin lion Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.

I once succeeded in apt update but today it failed. I don't know why, can you help me? Thanks.

0

1 Answer 1

2
E: The repository 'http://mirrors.aliyun.com/deepin lion Release' does not have a Release file.

Mean the lion directory in http://mirrors.aliyun.com/deepin doesn't exist.

The deepin repository accept apricot (aka stable) and unstable.

Edit your sources.list as follow:

deb [by-hash=force] http://mirrors.aliyun.com/deepin apricot main contrib non-free

or:

deb [by-hash=force] http://mirrors.aliyun.com/deepin stable main contrib non-free

deppin: source configuration

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .